Name:		rhn-upgrade
Summary:	RHN Satellite Server upgrade documentation
Version:	5.3.0.21
Release:	1%{?dist}
Group:		RHN/Server
License:	RHN Subscription License
Url:		http://rhn.redhat.com/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%define rhnroot /etc/sysconfig/rhn/satellite-upgrade/

%description
The rhn-upgrade package is all the documentation needed to upgrade a RHN
Satellite Server. Start with file %{rhnroot}README.
Please contact your Red Hat Support representative with any questions on
following the documentation.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 0750 -d $RPM_BUILD_ROOT%{rhnroot}
install -m 0400 README $RPM_BUILD_ROOT%{rhnroot}
install -m 0400 rhn-satellite-5-upgrade-scenario-1a.txt $RPM_BUILD_ROOT%{rhnroot}
install -m 0400 rhn-satellite-5-upgrade-scenario-1b.txt $RPM_BUILD_ROOT%{rhnroot}
install -m 0444 satellite-oracle-9i-catpatch-fix.sql $RPM_BUILD_ROOT%{rhnroot}
install -m 0444 satellite-pre5.0-system-user-fix.sql $RPM_BUILD_ROOT%{rhnroot}
install -m 0444 satellite-oracle-64bit-fix.sql $RPM_BUILD_ROOT%{rhnroot}
install -m 0444 satellite-time_series-space.sql $RPM_BUILD_ROOT%{rhnroot}
install -m 0444 satellite-temp_tbs.sql $RPM_BUILD_ROOT%{rhnroot}
install -m 0750 rhn-schema-version $RPM_BUILD_ROOT%{rhnroot}
install -m 0750 rhn-charsets $RPM_BUILD_ROOT%{rhnroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{rhnroot}/*

%changelog
* Wed Jul 29 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- remove java packages on el4 only (preparation)
- 514041 - consistent summary and detailed upgrade description

* Thu Jul 16 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.20-1
- 511986 - backup / restore nocpulse user ssh key pair
- 512089 - point to correct location for monitoring verification
- 489989 - run db pre upgrade scripts for 5.1.1 and older only

* Wed Jul 15 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- 511052 - instructions for rhn-update-monitoring.pl
- 511055 - explain message from rhn-enable-push.pl

* Mon Jul 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- fixes for 510778, 510742 (documentation cleanup)

* Wed Jul 08 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- 510130 - typo fix

* Wed Jul 01 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.15-1
- 509112 - procedure for extending TEMP_TBS

* Tue Jun 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.14-1
- don't check $ORACLE_HOME during upgrade
- don't increase number of db processes during upgrade
- don't restore rhn.conf during upgrade

* Thu Jun 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.13-1
- document point release update on RHEL5
- upgrade documentation cleanup
* Tue Jun 02 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.12-1
- document 10g embedded db upgrade

* Thu May 28 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.11-1
- documentation cleanup
- instructions for upgrade with selinux

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.10-1
- Package rebuild

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.9-1
- typo fix (mzazrivec@redhat.com)

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.8-1
- fix schema version query (mzazrivec@redhat.com)

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.7-1
- distinguish up2date from yum (mzazrivec@redhat.com)
- 493466 - remove perl scripts from spec (mzazrivec@redhat.com)
- 493466 - update paths of perl scripts in upgrade documentation (mzazrivec@redhat.com)
- 493466 - remove perl scripts from rhn-upgrade (mzazrivec@redhat.com)
- 490003 - docs: upgrade database to 9.2.0.4 before you can upgrade to 10g (mzazrivec@redhat.com)
- we no longer support upgrades from pre 3.1.5 schemas (mzazrivec@redhat.com)

* Wed Apr 01 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.6-1
- 474555 - restored calling of original RHN::SatInstall routines

* Thu Mar 12 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.5-1
- fixes for 472807, 471993, 487768, 487770, 488090, 488092

* Thu Feb 19 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.4-1
- updated upgrade documentation with rhn-search step

* Tue Feb 17 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.3-1
- 478966 - update documentation in rhn-upgrade
- add dist flag to package release

* Fri Feb 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-5
- imported fixes for 471993, 472574, 472807, 472807

* Wed Dec 17 2008 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-3
- removed schema upgrade scripts distributed with satellite-schema

* Tue Dec 16 2008 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-2
- resolved #474555 - added split() from missing split_dsn() routine

* Fri Nov 28 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-23
- resolved #472574 - upgrades from post-3.3 but pre-5.0 releases
- resolved #471993 - upgrades from pre-3.3 releases

* Fri Oct  3 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-22
- #465317 - documentation fix

* Thu Oct  2 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-21
- change 5Server to 5 Server
- fixed #464839

* Wed Oct  1 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-18
- added steps for upgrading 9i embedded database backups to 10g

* Wed Sep 17 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-16
- fixed spacing in upgrade documents

* Tue Sep  9 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-14
- add note about RHEL5

* Mon Sep  8 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-13
- fixed #461295

* Thu Sep  4 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-12
- add notes about RHEL5 and Oracle 10g

* Thu Aug 28 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-11
- fixed #460382

* Tue Jul 22 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-10
- 5.2 branch rebuild

* Tue Jul 15 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-8
- Package rebuild to support 5.2 Satellite upgrades
- rebuild in dist.cvs

* Tue Nov 27 2007 Jan Pazdziora
- Package rebuild to support 5.1 Satellite upgrades
- Added sql upgrade for 5.0 to 5.1

* Fri May 18 2007 Clifford Perry <cperry@redhat.com>
- Package rebuild to support 5.0 Satellite upgrades
- Added sql upgrade for 4.2 to 5.0
- Files renamed from -4 to -5 and content

* Fri Apr 20 2007 Clifford Perry <cperry@redhat.com>
- Added sql upgrade for 4.2.0-4 to 4.2.1-2

* Thu Jan 25 2007 Miroslav Suchy <msuchy@redhat.com>
- sql upgrade from 4.1 to 4.2

* Mon Jun 19 2006 Clifford Perry <cperry@redhat.com>
- Initial build into rpm from tar.gz format.
